curl --request GET \
--url https://sandbox-api.borderless.xyz/v1/transactions/intelligence-stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.borderless.xyz/v1/transactions/intelligence-stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.borderless.xyz/v1/transactions/intelligence-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"allClearCount": 123,
"needReviewCount": 123,
"reconciliationIssuesCount": 123,
"matchedCount": 123,
"matchedTotal": 123,
"volumeUsd": "<string>",
"imported": {
"totalCount": 123,
"allClearCount": 123,
"needReviewCount": 123,
"volumeUsd": "<string>"
},
"orphans": {
"totalCount": 123,
"allClearCount": 123,
"needReviewCount": 123,
"volumeUsd": "<string>"
}
}Transaction intelligence stats
Aggregate counts (total, all-clear, need-review, reconciliation-issues, matched ratio, USD volume) over the same filter set as the transactions list. Powers the Transaction Intelligence Strip.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
all, orchestrated, imported Submitted, Verifying, Orchestrating, Pending, Processing, AwaitingDocuments, Completed, Failed, Cancelled, Refunded Deposit, Withdrawal, Exchange Bridge, Koywe, Kotanipay, Hercle, Bitso, Yellowcard, TraceFinance, HoneyCoin, BlindPay, Finity, Infinia, Walapay, Abra, Yativo, Capa, Bivo, Cobre, Avenia, Brale, BVNK, CoinsPH, Iron, Enigma, Kira, TripleA, Onmeta, Alfred, Tazapay, Demo, CrissCross, Pockyt Start date for filtering transactions by createdAt (YYYY-MM-DD). Cannot be used with fromUpdatedDate.
"2003-01-01"
End date for filtering transactions by createdAt (YYYY-MM-DD). Cannot be used with toUpdatedDate.
"2003-01-01"
Start date for filtering transactions by updatedAt (YYYY-MM-DD). Cannot be used with fromDate.
"2003-01-01"
End date for filtering transactions by updatedAt (YYYY-MM-DD). Cannot be used with toDate.
"2003-01-01"
Competitive, InLine, OffMarket, Calibrating, Syncing, Stale AllClear, NeedReview, ReconciliationIssues Matched, Mismatched, Missing, PfiError AF, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CD, CG, CK, CR, HR, CU, CW, CY, CZ, CI, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, MK, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, US, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, AX, ZZ "USD"
"USDC"
Provider-side transaction id, as reported by the PFI.
"po_5lHqUz3lij6M"
Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?